function verifyDiskSpace(dirPath, spaceRequired)
{
 var spaceAvailable;
 spaceAvailable = fileGetDiskSpaceAvailable(dirPath);
 spaceAvailable = parseInt(spaceAvailable / 1024);
 if(spaceAvailable < spaceRequired)
 {
 logComment("Insufficient disk space: " + dirPath);
 logComment("  required : " + spaceRequired + " K");
 logComment("  available: " + spaceAvailable + " K");
 return(false);
 }
 return(true);
}

var srDest = 262;
var err;
var fProgram;

var platformStr = new String(Install.platform);
var platformNode;
if (!platformStr.search(/^Macintosh/))
    platformNode = 'mac';
else if (!platformStr.search(/^Win/))
    platformNode = 'win';
else
    platformNode = 'unix';

logComment("initInstall: platformNode=" + platformNode);

var prettyName = "Polski (PL)";
var langcode = "pl";
var regioncode = "PL";
var chromeNode = langcode + "-" + regioncode;
var regName    = "locales/mozilla/" + chromeNode;
var chromeName = chromeNode + ".jar";
var regionFile = regioncode + ".jar";
var platformName = langcode + "-" + platformNode + ".jar";
var localeName = "locale/" + chromeNode + "/";
var regionName = "locale/" + regioncode + "/";

err = initInstall(prettyName, regName, "1.x");
logComment("initInstall: " + err);

fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);

if (verifyDiskSpace(fProgram, srDest))
{
    err = addDirectory("",
                       "1.x",
                       "bin",
                       fProgram,
                       "",
                       true);
    logComment("addDirectory() returned: " + err);

    var cf = getFolder("Chrome");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "autoconfig/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "browser/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "communicator/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "cookie/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "global/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "mozapps/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "navigator/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "necko/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "p3p/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "passwordmgr/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "pipnss/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "pippki/");

    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "communicator-platform/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "global-platform/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "navigator-platform/");

    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), localeName + "browser-region/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), localeName + "communicator-region/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), localeName + "global-region/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, regionFile), localeName + "navigator-region/");

    if (err == SUCCESS)
    {
        err = performInstall();
        logComment("performInstall() returned: " + err);
        alert("Instalacja zosta\u0142a zako\u0144czona pomy\u015Blnie. Po ponownym uruchomieniu przegl\u0105darki, b\u0119dzie mo\u017Cna wybra\u0107 j\u0119zyk poprzez panel Edytuj > Preferencje (Edit > Preferences) oraz menu Widok (View).");
    }
    else
    {
        cancelInstall(err);
        logComment("cancelInstall due to error: " + err);
        alert("Instalacja zosta\u0142a anulowana. Wyst\u0105pi\u0142 b\u0142\u0105d " + err);
    }
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);
